Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.taglib
Class DefineObjectsTagTEI

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          org.jboss.portal.portlet.impl.jsr168.taglib.DefineObjectsTagTEI

    public class DefineObjectsTagTEI

extends javax.servlet.jsp.tagext.TagExtraInfo

The additional variable definitions for the defineObjects tag for the JSR 168 Portlet specification.

Version:
  $Revision: 5448 $
Author:
  Sherman Wood, Boleslaw Dawidowicz

Field Summary
`static java.lang.String` | `portletConfigVariableName`
`static java.lang.String` | `renderRequestVariableName`
`static java.lang.String` | `renderResponseVariableName`

Constructor Summary
`DefineObjectsTagTEI()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)`

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, isValid, setTagInfo, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletConfigVariableName

    public static final java.lang.String portletConfigVariableName

See Also:
  Constant Field Values

### renderRequestVariableName

    public static final java.lang.String renderRequestVariableName

See Also:
  Constant Field Values

### renderResponseVariableName

    public static final java.lang.String renderResponseVariableName

See Also:
  Constant Field Values

Constructor Detail

### DefineObjectsTagTEI

    public DefineObjectsTagTEI()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Overrides:
    `getVariableInfo` in class `javax.servlet.jsp.tagext.TagExtraInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.